stella (4.6.7-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Wed, 28 Oct 2015 23:25:35 +0100

stella (4.6.6-1) unstable; urgency=medium

  * New upstream version.
  * Drop Debian menu.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Oct 2015 19:16:57 +0200

stella (4.6.5-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Tue, 29 Sep 2015 18:10:48 +0200

stella (4.6.1-2) unstable; urgency=medium

  * Add an icon for the menu entry (closes: #726888).
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 10 May 2015 22:50:25 +0200

stella (4.6.1-1) experimental; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Apr 2015 20:45:00 +0200

stella (4.6-1) experimental; urgency=medium

  * New upstream version.
  * Drop src/common/SharedPtr.hxx from debian/copyright, it no longer
    exists.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 21 Mar 2015 22:45:21 +0100

stella (4.5-1) experimental; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Thu, 01 Jan 2015 23:57:10 +0100

stella (4.2-1) experimental; urgency=medium

  * New upstream version, uploaded to experimental for the Jessie freeze.

 -- Stephen Kitt <skitt@debian.org>  Mon, 03 Nov 2014 00:16:42 +0100

stella (4.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Update licensing information.

 -- Stephen Kitt <skitt@debian.org>  Mon, 15 Sep 2014 23:44:54 +0200

stella (4.1-1) unstable; urgency=medium

  * New upstream version.
  * Drop hurd-gnu0.5.patch, merged upstream.

 -- Stephen Kitt <skitt@debian.org>  Wed, 03 Sep 2014 09:11:33 +0200

stella (4.0-2) unstable; urgency=medium

  * Support newer versions of Hurd.

 -- Stephen Kitt <skitt@debian.org>  Wed, 02 Jul 2014 07:07:41 +0200

stella (4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Tue, 01 Jul 2014 23:30:31 +0200

stella (3.9.3-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 26 Jan 2014 23:42:21 +0100

stella (3.9.2-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Sun, 08 Sep 2013 00:09:17 +0200

stella (3.9.1-1) unstable; urgency=low

  * New upstream version. The state file format has changed, so old state
    files will not work with this release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 21 Aug 2013 22:39:42 +0200

stella (3.9-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Fri, 28 Jun 2013 09:53:13 +0200

stella (3.8.1-2) unstable; urgency=low

  * Switch to my Debian address.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 May 2013 19:45:38 +0200

stella (3.8.1-1) experimental; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Mon, 04 Mar 2013 00:21:35 +0100

stella (3.8-1) experimental; urgency=low

  * New upstream version. The default NVRAM location has changed to
    ~/.stella/nvram, users with EEPROM files or AtariVox/SaveKey/FA2 flash
    files will need to move them there or use the -nvramdir parameter.
  * Use canonical URIs in VCS-* fields.
  * Standards-Version 3.9.4, no further change required.

 -- Stephen Kitt <steve@sk2.org>  Mon, 25 Feb 2013 07:41:35 +0100

stella (3.7.5-1) experimental; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Sat, 22 Dec 2012 22:59:12 +0100

stella (3.7.4-1) experimental; urgency=low

  * New upstream version.
  * Drop DM-Upload-Allowed since it's no longer relevant.

 -- Stephen Kitt <steve@sk2.org>  Wed, 31 Oct 2012 23:25:42 +0100

stella (3.7.3-1) experimental; urgency=low

  * New upstream release, uploaded to experimental to avoid affecting the
    Wheezy freeze.

 -- Stephen Kitt <steve@sk2.org>  Sat, 27 Oct 2012 08:41:59 +0200

stella (3.7.2-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Mon, 11 Jun 2012 17:28:16 +0200

stella (3.7.1-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Sat, 09 Jun 2012 11:33:23 +0200

stella (3.7-1) unstable; urgency=low

  * New upstream version.
  * Update description and documentation with new features in 3.7, notably
    Blargg TV filters (replacing the filters available in versions 3.4.1
    and earlier).
  * Switch to debhelper compatibility level 9.

 -- Stephen Kitt <steve@sk2.org>  Sat, 02 Jun 2012 07:33:16 +0200

stella (3.6.1-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Sat, 31 Mar 2012 10:32:40 +0200

stella (3.6-1) unstable; urgency=low

  * New upstream version.
  * Update documentation with new features in 3.6, notably CompuMate
    emulation and 2600-daptor II support.
  * Drop libpng12-dev build-dependency entirely (in favour of
    libpng-dev).

 -- Stephen Kitt <steve@sk2.org>  Sat, 17 Mar 2012 23:23:45 +0100

stella (3.5.5-3) unstable; urgency=low

  * Allow building with libpng-dev (closes: #662511); stella is known to
    build with libpng 1.5 so this shouldn't cause trouble when libpng-
    dev switches to 1.5.
  * Standards-Version 3.9.3, no change required.

 -- Stephen Kitt <steve@sk2.org>  Tue, 06 Mar 2012 00:08:53 +0100

stella (3.5.5-2) unstable; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand. We now simply Pre-Depend
    on a new enough version of dpkg rather than using 'dpkg-maintscript-
    helper supports' guards, leading to more predictable behaviour on
    upgrades. Thanks to Colin Watson for the patch (closes: #659792).
  * Update documentation with last-minute fix from upstream.

 -- Stephen Kitt <steve@sk2.org>  Sun, 19 Feb 2012 00:39:23 +0100

stella (3.5.5-1) unstable; urgency=low

  * New upstream version.
  * Rewrite debian/copyright, using DEP-5 and updating for 2012.
  * Update manpage.

 -- Stephen Kitt <steve@sk2.org>  Sun, 05 Feb 2012 08:09:05 +0100

stella (3.5-1) unstable; urgency=low

  * New upstream version.
  * Drop all patches, merged upstream.
  * Update description and manpage (notably, OpenGL-based TV effects are
    no longer supported).

 -- Stephen Kitt <steve@sk2.org>  Thu, 29 Dec 2011 23:56:39 +0100

stella (3.4.1-2) unstable; urgency=low

  * Make Stella available in the "Open With Other Applications..." menu
    in Gnome (and presumably similar entries in other desktop
    environments; LP: #880114).
  * Build with gcc 4.6.1 (which identifies itself as gcc 4.6).

 -- Stephen Kitt <steve@sk2.org>  Wed, 26 Oct 2011 23:04:32 +0200

stella (3.4.1-1) unstable; urgency=low

  * New upstream version.
  * Update manpage with new features in 3.4.1.

 -- Stephen Kitt <steve@sk2.org>  Wed, 15 Jun 2011 23:48:31 +0200

stella (3.4-1) unstable; urgency=low

  * New upstream version.
  * Update package description and manpage with new features in 3.4.
  * Standards-Version 3.9.2, no change required.
  * Drop all patches, merged upstream.

 -- Stephen Kitt <steve@sk2.org>  Mon, 30 May 2011 07:02:40 +0200

stella (3.3-2) unstable; urgency=low

  * Upload to unstable.
  * Drop explicit quilt usage and dependency since we're using format 3.0
    (quilt).

 -- Stephen Kitt <steve@sk2.org>  Thu, 10 Mar 2011 17:38:47 +0100

stella (3.3-1) experimental; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Mon, 15 Nov 2010 21:59:47 +0100

stella (3.2.2-1) experimental; urgency=low

  * New upstream version.
  * Avoid requiring MAXPATHLEN (to build on hurd).

 -- Stephen Kitt <steve@sk2.org>  Sat, 06 Nov 2010 09:57:32 +0100

stella (3.2.1-1) experimental; urgency=low

  * New upstream version.
  * Change debian-menus to scan ~/.stella/roms rather than ~/.stella.
  * Avoid having to run configure when cleaning (thanks to Piotr Ożarowski
    for suggesting these two changes!).
  * Fix debian-menus to start /usr/bin/stella, not /usr/games/stella.
  * Remove debian/dirs, it is not needed.
  * Support building on kfreebsd and hurd.
  * /etc/stella.pro is no longer shipped; remove it if it's still present
    (and unchanged), and stop using it in debian-menus.

 -- Stephen Kitt <steve@sk2.org>  Sat, 04 Sep 2010 23:23:34 +0200

stella (3.2-1) experimental; urgency=low

  * New upstream version.
  * Update libpng dependency.
  * Standards-Version 3.9.1, no change required.
  * This release isn't intended for squeeze, uploaded to experimental
    for now.

 -- Stephen Kitt <steve@sk2.org>  Mon, 23 Aug 2010 08:16:19 +0200

stella (3.1.2-1) unstable; urgency=low

  * New maintainer (closes: #532039).
  * New upstream version (closes: #461121):
    - includes launcher (closes: #396058).
  * Fix the reference to the X Window System in the description (closes:
    #411815).
  * Move to main, DFSG-free ROMs are available (see README.Debian).
  * Enhance the package description.
  * Drop the libslang2-dev dependency (closes: #560274).
  * Remove the Encoding entry from stella.desktop.
  * Avoid ignoring errors when cleaning.
  * Add ${misc:Depends} to the package dependencies.
  * Provide a doc-base file to install the documentation using doc-base.
  * Switch to debhelper 7 with a simplified rules file.
  * Use autotools-dev to provide updated configuration files.
  * Update to Standards-Version 3.9.0:
    - Move to menu section Applications/Emulators.
    - Move the homepage declaration.
  * Re-write the manpage.

 -- Stephen Kitt <steve@sk2.org>  Mon, 12 Jul 2010 23:49:36 +0200

stella (2.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing cstring include in src/emucore/Cart.cxx
    to fix FTBFS. (Closes: #477283)

 -- Kumar Appaiah <akumar@debian.org>  Mon, 05 May 2008 08:29:19 +0530

stella (2.2-1) unstable; urgency=low

  * New Maintainer (Closes: #361345)
  * New upstream release (Closes: #349725)
  * Build-Depend now on libslang2-dev (Closes: #325577)
  * Complete rebuild of debian/, upgraded to policy-standards
    3.6.2 and compat-level 5.
  * Removed stellarc since stella only reads ~/.stellarc and even
    works without a first config.
  * New debian/watch file.

 -- Mario Iseli <admin@marioiseli.com>  Sat, 08 Apr 2006 18:38:25 +0200

stella (1.4.1-1) unstable; urgency=low

  * Added debian-menus script to create menu files based on rom images. 
  * New upstream release.
  * This Release and 1.2-1.2 NMU (Closes: #174998, #190958, #262493, #263406)

 -- Tom Lear <tom@trap.mtview.ca.us>  Sun, 22 Aug 2004 17:30:41 -0700

stella (1.2-1.2) unstable; urgency=high

  * NMU
  * debian/control: Removed Build-Depends: libstdc++5-dev (Closes: #262493)

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 21 Aug 2004 17:00:21 +0200

stella (1.2-1.1) unstable; urgency=low

  * Non-maintainer upload
  * debian/control: Removed Build-Depends: svgalibg1-dev (Closes: #190958)

 -- Roland Stigge <stigge@antcom.de>  Sun,  7 Sep 2003 14:03:36 +0200

stella (1.2-1) unstable; urgency=low

  * New upstream release. -- Closes #179753, #180204, #180670

 -- Tom Lear <tom@trap.mtview.ca.us>  Wed, 12 Feb 2003 12:11:40 -0800

stella (1.1-2) unstable; urgency=low

  * Fixed dependancy problem

 -- Tom Lear <tom@trap.mtview.ca.us>  Sat,  6 Nov 1999 16:41:05 -0800

stella (1.1-1) unstable; urgency=low

  * New upstream release. -- Closes #29038, #36141

 -- Tom Lear <tom@trap.mountain-view.ca.us>  Tue,  1 Jun 1999 16:53:48 -0700

stella (0.7-2) frozen; urgency=low

  * Moved to non-free

 -- Tom Lear <tom@trap.mountain-view.ca.us>  Wed, 29 Apr 1998 17:11:13 -0700

stella (0.7-1) unstable; urgency=low

  * Initial Release.

 -- Tom Lear <lear@debian.org>  Mon, 19 Jan 1998 22:06:49 -0800


